cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tagunov Anthony" <atagu...@nnt.ru>
Subject Re: cocoon1.8 and jetspeed 1.3a
Date Mon, 05 Feb 2001 08:32:59 GMT
--Original Message Text---
From: John Menke
Date: Sun, 4 Feb 2001 16:11:02 -0500

I am trying to install cocoon and jetspeed under the same tomcat instance and I'm running

into problems.  It seems the turbine-pool.jar contains files that conflict with turbine.jar

in jetspeed.  I have resorted to having two seperate copies of Tomcat and running each off

a different port number.  Does anyone have cocoon and jetspeed running under the same 
Tomcat instance?  If so how did you get it to run?


john
    
Does removing turbine.jar from the Cocoon installation and using one from jetspeeds (jetspeed's
is a newer one, for sure)
help?

IMHO Cocoon 1.7 relied on some older turbine jar. (All that had to be fixed was a couple lines
of code, just
replacing ...Broker.. for ..BrokerService.. somewhere) AFAIK in Cocoon 1.8 it has been fixed,
hasn't it?
(It's somewhere in the esql.xsl).  Try getting the latest esql.xsl from the cvs and reassempling
Cocoon if
just using turbine.jar from jetspeed doesn't help.

In case turbine from jetspeed has changed interfaces again and esql.xsl is not up to date
with it, well, esql.xsl has
to be patched to make this installation work.

Best regards, Tagunov Anthony

 




Mime
View raw message